org.apache.ignite.internal.processors.odbc.odbc

## Class OdbcColumnMeta

- java.lang.Object
- - org.apache.ignite.internal.processors.odbc.odbc.OdbcColumnMeta

    public class OdbcColumnMeta
    extends Object

SQL listener column metadata.

### Constructor Summary

Constructors
Constructor and Description
`OdbcColumnMeta(GridQueryFieldMetadata info)`
`OdbcColumnMeta(String schemaName, String tableName, String columnName, Class<?> dataType)`

### Method Summary

Methods
`boolean` `equals(Object o)`
`int` `hashCode()`
`void` `write(BinaryRawWriter writer)` Write in a binary format.

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### OdbcColumnMeta

    public OdbcColumnMeta(String schemaName,
                  String tableName,
                  String columnName,
                  Class<?> dataType)

Parameters:
  `schemaName` - Cache name.
  `tableName` - Table name.
  `columnName` - Column name.
  `dataType` - Data type.

#### OdbcColumnMeta

    public OdbcColumnMeta(GridQueryFieldMetadata info)

Parameters:
  `info` - Field metadata.

### Method Detail

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `Object`

#### equals

    public boolean equals(Object o)

Overrides:
  `equals` in class `Object`

#### write

    public void write(BinaryRawWriter writer)

Write in a binary format.

Parameters:
  `writer` - Binary writer.

2017 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 2.1.0
Release Date | : July 20 2017